class FactorsHelper:
    def __init__(self):
        self.data = {}
    
    def add_factors(self, key:str, value:float):
        if key in self.data:
            self.data[key] += value
        else:
            self.data[key] = value
    
    def sort_factors(self):
        sorted_data = sorted(self.data.items(), key=lambda x: x[1], reverse=True)
        return sorted_data